Loading...
Searching...
No Matches
AttributeGroup.h File Reference

Attribute Group access and filtering for iteration. More...

`#include "AttributeArray.h"`
`#include "AttributeSet.h"`
`#include <memory>`

Go to the source code of this file.

## Classes

struct | GroupCodec
struct | GroupCodec::Storage< T >
class | GroupHandle
struct | GroupHandle::BitMask
class | GroupWriteHandle
class | GroupFilter
| Index filtering on group membership. More...

## Namespaces

namespace | openvdb
namespace | openvdb::v11_0
namespace | openvdb::v11_0::points

## Typedefs

using | GroupAttributeArray = TypedAttributeArray< GroupType, GroupCodec >

## Functions

bool | isGroup (const AttributeArray &array)

## Detailed Description

Attribute Group access and filtering for iteration.

Author
  Dan Bailey